﻿using UnityEngine;
using System.Collections;

public class Bullet : MonoBehaviour {
/*  Bullet properties:
 *  speed
 */
    
    public float speed;

	// Use this for initialization
	void Awake() {
	    rigidbody = GetComponent<Rigidbody2D>();
	    rigidbody.velocity = new Vector3(speed, 0, 0);
	}
	
	// Update is called once per frame
	void Update () {
	    if(transform.position.x > Screen.width / 100)
	        Destroy(gameObject);
	}
	
/*  Private Members
 *  =================================================================*/
	private Rigidbody2D rigidbody;
}
