﻿using UnityEngine;
using System.Collections;

public class EnemyTimer : MonoBehaviour {
    public int interval;
    public GameObject enemyToInstantiate;
    
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	    if(cooldown > interval) {
	        MakeEnemy();
	        cooldown = 0;
	    }
	    ++cooldown;
	}

	private void MakeEnemy() {
	    Vector3 enemyStart = new Vector3(Screen.width / 100 + 5, Random.Range(-Screen.height / 100.0f, Screen.height / 100.0f), 0);
	    Instantiate(enemyToInstantiate, enemyStart, Quaternion.identity);
	}
	
	private int cooldown;
}
